svn commit: samba r11818 - in branches/SAMBA_4_0/source: script/tests torture/rpc

tridge at samba.org tridge at samba.org
Mon Nov 21 04:18:43 GMT 2005


Author: tridge
Date: 2005-11-21 04:18:43 +0000 (Mon, 21 Nov 2005)
New Revision: 11818

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=11818

Log:

- changed the option torture:echo_TestSleep=yes/no to the more generic
  option torture:quick=yes/no. This should be used in all slow tests to
  enable a quick mode

- enabled the test_rpc_quick.sh tests in 'make quicktest'


Modified:
   branches/SAMBA_4_0/source/script/tests/test_binding_string.sh
   branches/SAMBA_4_0/source/script/tests/test_echo.sh
   branches/SAMBA_4_0/source/script/tests/tests_quick.sh
   branches/SAMBA_4_0/source/torture/rpc/echo.c


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/test_binding_string.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_binding_string.sh	2005-11-21 04:09:36 UTC (rev 11817)
+++ branches/SAMBA_4_0/source/script/tests/test_binding_string.sh	2005-11-21 04:18:43 UTC (rev 11818)
@@ -28,7 +28,7 @@
 		 "308FB580-1EB2-11CA-923B-08002B1075A7 at ncacn_np:$server" \
 		 "308FB580-1EB2-11CA-923B-08002B1075A7 at ncacn_ip_tcp:$server" 
 do
-	testit "$I" bin/smbtorture $TORTURE_OPTIONS "$I" -U"$username"%"$password" -W $domain --option=torture:echo_TestSleep=no RPC-ECHO "$*" || failed=`expr $failed + 1`
+	testit "$I" bin/smbtorture $TORTURE_OPTIONS "$I" -U"$username"%"$password" -W $domain --option=torture:quick=yes RPC-ECHO "$*" || failed=`expr $failed + 1`
 done
 
 testok $0 $failed

Modified: branches/SAMBA_4_0/source/script/tests/test_echo.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_echo.sh	2005-11-21 04:09:36 UTC (rev 11817)
+++ branches/SAMBA_4_0/source/script/tests/test_echo.sh	2005-11-21 04:18:43 UTC (rev 11818)
@@ -28,7 +28,7 @@
 for transport in $transports; do
  for bindoptions in connect spnego spnego,sign spnego,seal validate padcheck bigendian bigendian,seal; do
   for ntlmoptions in \
-        "--option=socket:testnonblock=True --option=torture:echo_TestSleep=no"; do
+        "--option=socket:testnonblock=True --option=torture:quick=yes"; do
    name="RPC-ECHO on $transport with $bindoptions and $ntlmoptions"
    testit "$name" bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" $ntlmoptions -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
   done
@@ -38,15 +38,15 @@
 for transport in $transports; do
  for bindoptions in sign seal; do
   for ntlmoptions in \
-        "--option=ntlmssp_client:ntlm2=yes --option=torture:echo_TestSleep=no" \
-        "--option=ntlmssp_client:ntlm2=no  --option=torture:echo_TestSleep=no" \
-        "--option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:128bit=no --option=torture:echo_TestSleep=no" \
-        "--option=ntlmssp_client:ntlm2=no  --option=ntlmssp_client:128bit=no --option=torture:echo_TestSleep=no" \
-        "--option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:keyexchange=no --option=torture:echo_TestSleep=no" \
-        "--option=ntlmssp_client:ntlm2=no  --option=ntlmssp_client:keyexchange=no  --option=torture:echo_TestSleep=no" \
-        "--option=clientntlmv2auth=yes  --option=ntlmssp_client:keyexchange=no  --option=torture:echo_TestSleep=no" \
-        "--option=clientntlmv2auth=yes  --option=ntlmssp_client:128bit=no --option=ntlmssp_client:keyexchange=yes  --option=torture:echo_TestSleep=no" \
-        "--option=clientntlmv2auth=yes  --option=ntlmssp_client:128bit=no --option=ntlmssp_client:keyexchange=no  --option=torture:echo_TestSleep=no" \
+        "--option=ntlmssp_client:ntlm2=yes --option=torture:quick=yes" \
+        "--option=ntlmssp_client:ntlm2=no  --option=torture:quick=yes" \
+        "--option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:128bit=no --option=torture:quick=yes" \
+        "--option=ntlmssp_client:ntlm2=no  --option=ntlmssp_client:128bit=no --option=torture:quick=yes" \
+        "--option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:keyexchange=no --option=torture:quick=yes" \
+        "--option=ntlmssp_client:ntlm2=no  --option=ntlmssp_client:keyexchange=no  --option=torture:quick=yes" \
+        "--option=clientntlmv2auth=yes  --option=ntlmssp_client:keyexchange=no  --option=torture:quick=yes" \
+        "--option=clientntlmv2auth=yes  --option=ntlmssp_client:128bit=no --option=ntlmssp_client:keyexchange=yes  --option=torture:quick=yes" \
+        "--option=clientntlmv2auth=yes  --option=ntlmssp_client:128bit=no --option=ntlmssp_client:keyexchange=no  --option=torture:quick=yes" \
     ; do
    name="RPC-ECHO on $transport with $bindoptions and $ntlmoptions"
    testit "$name" bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" $ntlmoptions -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`

Modified: branches/SAMBA_4_0/source/script/tests/tests_quick.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/tests_quick.sh	2005-11-21 04:09:36 UTC (rev 11817)
+++ branches/SAMBA_4_0/source/script/tests/tests_quick.sh	2005-11-21 04:18:43 UTC (rev 11818)
@@ -1,3 +1,5 @@
+TORTURE_OPTIONS="$TORTURE_OPTIONS --option=torture:quick=yes"
+
 $SRCDIR/script/tests/test_ejs.sh $SERVER $USERNAME $PASSWORD || failed=`expr $failed + $?`
 $SRCDIR/script/tests/test_ldap.sh $SERVER $USERNAME $PASSWORD || failed=`expr $failed + $?`
 $SRCDIR/script/tests/test_nbt.sh $SERVER || failed=`expr $failed + $?`
@@ -2,2 +4,2 @@
 $SRCDIR/script/tests/test_quick.sh //$SERVER/cifs $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
-
+$SRCDIR/script/tests/test_rpc_quick.sh $SERVER $USERNAME $PASSWORD $DOMAIN || failed=`expr $failed + $?`

Modified: branches/SAMBA_4_0/source/torture/rpc/echo.c
===================================================================
--- branches/SAMBA_4_0/source/torture/rpc/echo.c	2005-11-21 04:09:36 UTC (rev 11817)
+++ branches/SAMBA_4_0/source/torture/rpc/echo.c	2005-11-21 04:18:43 UTC (rev 11818)
@@ -242,11 +242,11 @@
 	int total_done = 0;
 	BOOL ret = True;
 
-	if (!lp_parm_bool(-1, "torture", "echo_TestSleep", True)) {
-		printf("TestSleep disabled - use \"torture:echo_TestSleep=yes\" to enable\n");
+	if (lp_parm_bool(-1, "torture", "quick", False)) {
+		printf("TestSleep disabled - use \"torture:quick=no\" to enable\n");
 		return True;
 	}
-	printf("Testing TestSleep - use \"torture:echo_TestSleep=no\" to disable\n");
+	printf("Testing TestSleep - use \"torture:quick=no\" to disable\n");
 
 	for (i=0;i<ASYNC_COUNT;i++) {
 		done[i]		= False;
@@ -410,8 +410,8 @@
 	struct echo_TestSleep r;
 	int timeout_saved = p->request_timeout;
 
-	if (!lp_parm_bool(-1, "torture", "echo_TestSleep", True)) {
-		printf("timeout testing disabled - use \"torture:echo_TestSleep=yes\" to enable\n");
+	if (lp_parm_bool(-1, "torture", "quick", False)) {
+		printf("timeout testing disabled - use \"torture:quick=no\" to enable\n");
 		return True;
 	}
 



More information about the samba-cvs mailing list